API Reference
GET /v1/scrape

GET /v1/scrape

Scrape a website and extract structured company data. Returns markdown content plus extracted product features, funding signals, chain integrations, and product links.

Cost: $0.05 per call — not available on X API or twit.sh

curl "https://frontrun.vc/v1/scrape?url=https://uniswap.org" \
  -H "X-API-Key: your_api_key"

Parameters

ParameterTypeDescription
urlstring (query)Website URL to scrape (required)

Response

{
  "url": "https://uniswap.org",
  "title": "Uniswap | Trade crypto & NFTs",
  "description": "The largest onchain marketplace...",
  "markdown": "# Uniswap\n\nSwap, earn, and build on the leading...",
  "extracted": {
    "features": ["DEX", "Swap", "Liquidity"],
    "chains": ["Ethereum", "Polygon", "Arbitrum", "Optimism", "Base"],
    "fundingMentions": [],
    "productLinks": {
      "app": "https://app.uniswap.org",
      "docs": "https://docs.uniswap.org",
      "github": "https://github.com/Uniswap"
    }
  },
  "cost_cents": 5,
  "balance_cents": 9895
}